Publishers - List By Subscription
Lists all the publishers in a subscription.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.HybridNetwork/publishers?api-version=2023-09-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request is successful. The operation returns a list of publisher resources. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
List all publisher resources in a subscription
Sample request
GET https://management.azure.com/subscriptions/subid/providers/Microsoft.HybridNetwork/publishers?api-version=2023-09-01
Sample response
{
"value": [
{
"name": "TestPublisher",
"id": "/subscriptions/subid/resourcegroups/rg/providers/Microsoft.HybridNetwork/publishers/TestPublisher",
"type": "Microsoft.HybridNetwork/publishers",
"location": "eastus",
"properties": {
"provisioningState": "Succeeded",
"scope": "Public"
}
},
{
"name": "TestPublisher2",
"id": "/subscriptions/subid/resourcegroups/rg/providers/Microsoft.HybridNetwork/publishers/TestPublisher2",
"type": "Microsoft.HybridNetwork/publishers",
"location": "eastus",
"properties": {
"provisioningState": "Succeeded",
"scope": "Public"
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Managed |
Managed service identity (system assigned and/or user assigned identities) |
|
Managed |
Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed). |
|
Provisioning |
The current provisioning state. |
| Publisher |
publisher resource. |
|
Publisher |
A list of publishers. |
|
Publisher |
publisher properties. |
|
Publisher |
Publisher Scope. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
|
User |
User assigned identity properties |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ManagedServiceIdentity
Managed service identity (system assigned and/or user assigned identities)
| Name | Type | Description |
|---|---|---|
| principalId |
string (uuid) |
The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity. |
| tenantId |
string (uuid) |
The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity. |
| type |
Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed). |
|
| userAssignedIdentities |
<string,
User |
User-Assigned Identities |
ManagedServiceIdentityType
Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
| Value | Description |
|---|---|
| None | |
| SystemAssigned | |
| UserAssigned | |
| SystemAssigned,UserAssigned |
ProvisioningState
The current provisioning state.
| Value | Description |
|---|---|
| Unknown | |
| Succeeded | |
| Accepted | |
| Deleting | |
| Failed | |
| Canceled | |
| Deleted | |
| Converging |
Publisher
publisher resource.
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| identity |
The managed identity of the publisher, if configured. |
|
| location |
string |
The geo-location where the resource lives |
| name |
string |
The name of the resource |
| properties |
Publisher properties. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| tags |
object |
Resource tags. |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
PublisherListResult
A list of publishers.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The URL to get the next set of results. |
| value |
A list of publishers. |
PublisherPropertiesFormat
publisher properties.
| Name | Type | Description |
|---|---|---|
| provisioningState |
The provisioning state of the publisher resource. |
|
| scope |
The publisher scope. |
PublisherScope
Publisher Scope.
| Value | Description |
|---|---|
| Unknown | |
| Private |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
UserAssignedIdentity
User assigned identity properties
| Name | Type | Description |
|---|---|---|
| clientId |
string (uuid) |
The client ID of the assigned identity. |
| principalId |
string (uuid) |
The principal ID of the assigned identity. |